"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmbeddedComponentRN = void 0;
var _reactNative = require("react-native");
var _javascriptSdk = require("@notabene/javascript-sdk");
var _notabeneSdk = require("./notabene-sdk.js");
class EmbeddedComponentRN extends _javascriptSdk.EmbeddedComponent {
  constructor(url, deepLink, value) {
    super(url, value);
    this.deepLink = deepLink;
  }
  async openModal() {
    try {
      const response = await openComponent(this.url, this.deepLink);
      const [deepLink, fragment] = response.split('#');
      const params = new URLSearchParams(fragment);
      const encodedMessage = params.has('message') ? params.get('message') : undefined;
      const transactionResponse = {
        ...(encodedMessage ? [JSON.parse(encodedMessage)] : [{}]),
        _deepLink: `${deepLink}#${fragment}`
      };
      return transactionResponse;
    } catch (ex) {
      const error = ex;
      if (error.message?.includes('The operation couldn’t be completed')) {
        return Promise.reject('User cancellation');
      }
      return Promise.reject(error);
    }
  }
}
exports.EmbeddedComponentRN = EmbeddedComponentRN;
async function openComponent(url, deepLink) {
  if (_reactNative.Platform.OS !== 'ios') {
    return Promise.reject('AuthSession is only supported on iOS');
  }
  return await _notabeneSdk.NotabeneSdk.open(url, deepLink);
}
//# sourceMappingURL=embedded-component.js.map